Subject: re: /dev/

From: "Darin Comi" <[email-masked]>
Date: Thu, 2 Jan 97 12:54:33 EST

Alan,

>I seem to be hgaving a problem copying the tcp and zero files to my 
>user's dev directory... Don't I just say:
>cp /dev/tcp my/users/dev
>cp /dev/zero my/users/dev
>From the man pages of Solaris 2.5 for in.ftpd, you need to actually create 
devices:
eg: (from the script included in the man pages)
..
for device in zero tcp
do
	line=`ls-lL /dev/${device} | sed -e 's/,//'`
	major=`echo $line | awk '{print $5}'`
	minor=`echo $line | awk '{print $6}'`
	rm -f ${ftphome}/dev/${device}
	mknod ${ftphome}/dev/${device} c ${major} ${minor}
done
..

>What am I doing wrong?
>[email-masked]

Regards,

====================================================
#   Darin Comi, MCS Operations Engineer
#     internet: [email-masked]         
#     voice: (514)926-5110   fax: (514)926-5127
====================================================